%define pkg_name        Class-Data-Reloadable
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 2.n0i.2

Summary:       Inheritable class data survives reloads
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAVEBAIRD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(NEXT)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
%endif


%description
A drop-in replacement for Class::Data::Inheritable, but subclasses can be
reloaded without losing their class data. This is useful in mod_perl
development, and may be useful elsewhere. In mod_perl, Apache::Reload
conveniently reloads modules that have been modified, rather than having to
restart Apache. This works well unless the module stores class data that
are not re-created during the reload. In this situation, you still need to
restart the server, in order to rebuild the class data.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Jul 27 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
